ruby-uglifier_2.7.2-1_all.deb


Advertisement

Description

ruby-uglifier - Ruby wrapper for UglifyJS JavaScript compressor

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-uglifier
Package version: 2.7.2
Package release: 1
Package architecture: all
Package type: deb
Installed size: 316 B
Download size: 64.73 KB
Official Mirror: archive.ubuntu.com
ruby-uglifier is a wrapper for the UglifyJS JavaScript compressor, which is used by other packages (e.g., the Rails 3 and 4 asset pipelines) to compress Javascript files.

Alternatives

    Download

    Source package: ruby-uglifier

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-uglifier deb package:
      # sudo apt-get install ruby-uglifier

    Files

    • /usr/lib/ruby/vendor_ruby/uglifier.rb
    • /usr/lib/ruby/vendor_ruby/uglifier/version.rb
    • /usr/share/doc/ruby-uglifier/README.md.gz
    • /usr/share/doc/ruby-uglifier/changelog.Debian.gz
    • /usr/share/doc/ruby-uglifier/copyright
    • /usr/share/javascript/ruby-uglifier/es5.js
    • /usr/share/javascript/ruby-uglifier/split.js
    • /usr/share/javascript/ruby-uglifier/uglify.js
    • /usr/share/rubygems-integration/all/specifications/uglifier-2.7.2.gemspec

    Changelog

    2015-08-26 - Antonio Terceiro <terceiro@debian.org> ruby-uglifier (2.7.2-1) unstable; urgency=medium * New upstream release - contains fix to don't attempt to negate non-boolean AST_Binary (see https://github.com/mishoo/UglifyJS2/issues/751) by upgrading to UglifyJ 2.4.24

    2015-04-29 - Pirate Praveen <praveen@debian.org> ruby-uglifier (2.7.1-2) unstable; urgency=medium * Team upload. * Re-upload to unstable.

    2015-04-03 - Pirate Praveen <praveen@debian.org> ruby-uglifier (2.7.1-1) experimental; urgency=low * Team upload * New upstream release * Bump standards version to 3.9.6 (no changes) * Refresh patches * Add short name lib/uglify.js BSD-3-Clause in copyright

    2014-08-11 - Caitlin Matos <caitlin.matos@zoho.com> ruby-uglifier (2.5.3-1) unstable; urgency=medium * Team upload * New upstream version 2.5.3 * Updated description

    2014-06-16 - Antonio Terceiro <terceiro@debian.org> ruby-uglifier (2.5.0-2) unstable; urgency=medium * Depend on ruby-json instead of ruby-multi-json (Closes: #751771)

    2014-05-20 - Pirate Praveen <praveen@debian.org> ruby-uglifier (2.5.0-1) unstable; urgency=low * Team upload * New upstream release * Refresh patches * Add ruby-source-map to build deps

    2014-01-03 - Antonio Terceiro <terceiro@debian.org> ruby-uglifier (1.3.0-1) unstable; urgency=medium * New upstream release * debian/patches/run-tests-against-distributed-javascript.patch: dropped, already applied upstream * Bump Standards-Version to 3.9.5; no changes needed * debian/copyright: fix typo

    2012-07-13 - Antonio Terceiro <terceiro@debian.org> ruby-uglifier (1.2.5-2) unstable; urgency=low * When running tests, use the local JavaScript files instead of the ones that would be installed to /usr/share when the package is installed (Closes: #680835). * Add ruby-yajl to Build-Depends:

    2012-06-27 - Antonio Terceiro <terceiro@debian.org> ruby-uglifier (1.2.5-1) unstable; urgency=low * Initial release.

    Advertisement
    Advertisement